import { Request, Response } from 'express';
import { addEquipmentReturnDto, calculateFinalSettlementDto, createExitInterviewTemplateDto, createOffboardingCaseDto, createOffboardingTaskDto, createOffboardingTemplateDto, filterOffboardingCaseDto, submitExitInterviewDto, updateEquipmentReturnDto, updateOffboardingCaseDto, updateOffboardingTaskDto } from './offboarding.dto';
import { OffboardingService } from './offboarding.service';
export declare class OffboardingController {
    private readonly service;
    constructor(service: OffboardingService);
    createTemplate(data: createOffboardingTemplateDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getTemplates(owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getTemplateById(id: string, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getDashboardStats(owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getTurnoverAnalytics(owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    createCase(data: createOffboardingCaseDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    getCasesByFilter(query: filterOffboardingCaseDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getCaseById(id: string, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    updateCase(id: string, data: updateOffboardingCaseDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    addTask(caseId: string, data: createOffboardingTaskDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    updateTask(taskId: string, data: updateOffboardingTaskDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    addEquipmentReturn(caseId: string, data: addEquipmentReturnDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    updateEquipmentReturn(returnId: string, data: updateEquipmentReturnDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    createExitTemplate(data: createExitInterviewTemplateDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getExitTemplates(owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    submitExitInterview(caseId: string, data: submitExitInterviewDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    calculateFinalSettlement(caseId: string, data: calculateFinalSettlementDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    approveFinalSettlement(settlementId: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
}
